# Uses of Class
org.apache.lucene.index.Impacts

Packages that use Impacts
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.internal.tests
Internal bridges to package-private internals, for use by the lucene test framework only.

- ## Uses of Impacts in org.apache.lucene.index

  Methods in org.apache.lucene.index that return Impacts
  Modifier and Type
  Method
  Description
  `Impacts`
  ImpactsSource.`getImpacts()`
  Get information about upcoming impacts for doc ids that are greater than or equal to the maximum of `DocIdSetIterator.docID()` and the last target that was passed to `ImpactsSource.advanceShallow(int)`.
  `Impacts`
  SlowImpactsEnum.`getImpacts()`

- ## Uses of Impacts in org.apache.lucene.internal.tests

  Methods in org.apache.lucene.internal.tests with parameters of type Impacts
  Modifier and Type
  Method
  Description
  `void`
  IndexPackageAccess.`checkImpacts(Impacts impacts, int max)`